import requests
import base64
import json

# Replace these variables with your specific information
owner = 'amagimedia'  # Username or organization
repo = 'ieg-ads-gitflow-temp'
path = 'dev/app-1/values.yaml'  # Path to the file in the repository
installation_token = 'ghs_q0DHFfqs3kffy2z1gBC1oDepJQTJhg2CvDlT'  # The token obtained previously
commit_message = 'Add new file'  # Commit message
content = 'Kv test'  # Content of the new file

# The GitHub API URL to create or update a file
url = f'https://api.github.com/repos/{owner}/{repo}/contents/{path}'

# Encode the file content in base64
encoded_content = base64.b64encode(content.encode('utf-8')).decode('utf-8')

# Set up the request payload with commit message and content
payload = json.dumps({
    'message': commit_message,
    'content': encoded_content
})

# Set up the headers with our installation access token
headers = {
    'Authorization': f'token {installation_token}',
    'Accept': 'application/vnd.github.v3+json'
}

# Make the request to create or update the file
response = requests.put(url, data=payload, headers=headers)

# Check if the request was successful
if response.status_code in (200, 201):
    print("Successfully added the file.")
    print(response.json())
else:
    print(f"Failed to add the file: {response.status_code}")
    print(response.json())
